module Devops
  class Routes

    @@routes = {}
    @@preffix = nil

    def self.routes
      @@routes
    end

    def self.preffix= p
      @@preffix = p
    end

    def self.route path, _class
      path = @@preffix + path unless @@preffix.nil?
      @@routes[path] = _class
    end
  end
end
